body {
    background: repeat url("img/bg.jpg"); /* Appreciated and gotten from: https://www.texturecan.com/details/587/ */
    background-color: white;
    margin: 0;
    padding: 0;
    font-family:  Arial, sans-serif;
}

h1 {
    margin-bottom: 0;
    text-decoration: underline;
}

h2 {
    margin-bottom: 0.5em;
}

#content-pillar {
    /* width: 960px; */
    max-width: 960px;
    min-width: 500px;
    background-color: rgba(255, 228, 196, 0.747);
    top: 0px;
    bottom: 0px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding: 5px;
    border: 1px solid black;
    /* box-shadow: 0 0 10px black; */
}

#image-file {
    display: block;
    margin: auto;
    font-size: 1.5em;
    margin-bottom: 1em;
}

#upload-preview {
    min-width: 100px;
    min-height: 100px;
    max-width: 100%;
    max-height: 540px;
    background: lightgray;
    display: none;
    text-align: center;
    margin: auto;
    border: 1px solid gray
}

#upload-placeholder {
    display: block;
    text-align: center;
    font-size: 2em;
    color: gray;
}

#area-settings {
    display: grid;
}

#area-settings h2 {
    grid-column-start: 1;
    grid-column-end: 3;
}

#area-settings label {
    line-height: 2em;
    grid-column: 1;
    text-align: right;
    margin-right: 1em;
}

#area-settings input {
    grid-column: 2;
}

#area-settings .comment {
    line-height: 2em;
    grid-column: 3;
}

#preview-3d {
    aspect-ratio: 16 / 9;
    width: 100%;
    margin: auto;
    border: 1px solid gray
}

#download-btn {
    display: block;
    margin: auto;
    margin-bottom: 3em;
    width: 10em;
    height: 2em;
    font-size: 2em;
}
